Bug 1010521 - [gnuplot] qt-build on GNOME only system
[gnuplot] qt-build on GNOME only system
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnuplot (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Frantisek Kluknavsky
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-21 01:43 EDT by Joachim Frieben
Modified: 2016-12-20 07:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 07:42:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample screenshot of Gnuplot QT interface (25.99 KB, image/png)
2015-03-13 13:53 EDT, Joachim Frieben
no flags Details
Sample screenshot of Gnuplot wxGTK interface (25.56 KB, image/png)
2015-03-13 13:54 EDT, Joachim Frieben
no flags Details
Sample PDF output of Gnuplot QT interface (10.38 KB, application/pdf)
2015-03-13 13:55 EDT, Joachim Frieben
no flags Details
Sample PDF output of Gnuplot wxGTK interface (8.50 KB, application/pdf)
2015-03-13 13:56 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2013-09-21 01:43:11 EDT
Description of problem:
As of version 4.6.3-4.fc20, gnuplot features an ugly QT interface wich (a) does not fit the stock GNOME theme and (b) pulls in undesirable QT libraries which are not required by any other application depending on the WX libraries in the same time.

Version-Release number of selected component (if applicable):
gnuplot-4.6.3-4.fc20

How reproducible:
Launch gnuplot window.

Steps to Reproduce:
1. Create data file "test.d".
2. $ gnuplot
3. $ plot "test.d"

Actual results:
The GNUPLOT output sports the typical KDE4 interface.

Expected results:
The GNUPLOT terminal complies with the GTK3 theme as for the WX interface.

Additional info:
From the upstream change log:
  1) Cairo/pango/wxWidgets
     These terminals were introduced in version 4.4 and are now the most
     stable and full-featured option.  This set of terminals includes
     - pngcairo, pdfcairo, epscairo, and cairolatex for output to a file
     - wxt for interactive display
Comment 1 Orion Poplawski 2013-09-24 16:26:18 EDT
Hmm, looks like a gnuplot-qt sub-package is in order here.  Frantisek - shall I take care of it?
Comment 2 Frantisek Kluknavsky 2013-09-25 03:56:42 EDT
Of course, do it if you wish.
Comment 3 Orion Poplawski 2013-10-01 12:44:15 EDT
So, this turned into a bigger project than I originally thought.  I've built a scratch build here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6012323

I'd appreciate it if everyone could test them out.  This builds a separate gnuplot-qt package with qt terminal support with a lower alternatives value than wx, higher than minimal.

One problem I just discovered is that the emacs and gnuplot-latex packages requires gnuplot.  Perhaps that should be changed to gnuplot-common?

Another this is that the qt build *adds* qt terminal info to the gnuplot.gih file, but does not remove wx info.  So for now I have installed the qt build of that file.  Hopefully everything else is fairly comparable.
Comment 4 Fedora Update System 2013-10-09 18:42:13 EDT
gnuplot-4.6.3-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnuplot-4.6.3-5.fc20
Comment 5 Fedora Update System 2013-10-10 10:49:44 EDT
Package gnuplot-4.6.3-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnuplot-4.6.3-5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18762/gnuplot-4.6.3-5.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-10-15 02:30:15 EDT
gnuplot-4.6.3-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Joachim Frieben 2015-02-06 09:27:08 EST
Issue back as of gnuplot-5.0.0-4.fc22:

* Fri Jan 23 2015 Frantisek Kluknavsky <fkluknav redhat com> - 5.0.0-4
- make qt terminal default instead of outdated wx

Please look at the initial report for the reasoning behind this report.
Comment 8 Joachim Frieben 2015-02-06 09:29:11 EST
The WX libraries are already pulled in by GDL if the latter installed.
Comment 9 Frantisek Kluknavsky 2015-02-10 14:30:14 EST
Original report was about one gnuplot binary linked against both gtk and qt, which was clearly a mistake. It is not so this time (I believe). What exactly is the mistake? As of gnuplot-5.0.0 "The qt terminal supports interactive display with menu-driven output to png, svg or pdf. If either Qt4 or Qt5 is detected by the configure script, this will be the default terminal. It is now the fastest and most full-featured interactive terminal option." I thought it would be a good idea to switch the default in Fedora as well. Especially because gnuplot's threading never really worked with wxGTK. Wx terminal is still available in gnuplot-wx subpackage. Did I miss something? (One problem I know about is broken symlink in alternatives.)

Many thanks to Orion for splitting the package.
Comment 10 Joachim Frieben 2015-02-11 03:59:58 EST
The wxGTK build is the natural build for systems which are using the GNOME desktop because it fits the GTK toolkit visually better than any other toolkit in particular QT.
I do not object that a QT build is being created but it should be a separate and optional subpackage as before, and the wxGTK build should be the default one being installed when the gnuplot RPM is scheduled for install without further details.
Right now, I can install gnuplot-wx but the QT build is integrated into the main gnuplot package and cannot be removed since it is required by packages like maxima. It should better be split off such that either gnuplot-wx -or- gnuplot-qt can be installed alone.
Comment 11 Frantisek Kluknavsky 2015-02-12 04:56:25 EST
Gnuplot-wx-5.0.0-6 now Provides:gnuplot and is enough to satisfy dependencies of Maxima. You do not need qt libraries anymore. "yum install maxima gnuplot-wx" should do it. Thanks for your report.
As far as I know, currently it is not possible to let yum/dnf intelligently choose between variants based on what environment you have already installed. Maybe new weak reverse rpm dependencies will solve that? Something like wxMaxima "Suggests: gnuplot-wx" or "Recommends: gnuplot-wx".
Comment 12 Joachim Frieben 2015-02-12 06:12:18 EST
1. Since GNOME is the default desktop environment of Fedora and even when KDE is the main desktop, most basic GNOME/GTK3 are installed anyway, gnuplot-wx should become gnuplot and be installed by default. The current gnuplot package should be renamed gnuplot-qt.
2. gnuplot-qt should then be provided as an optional subpackage.
3. If 1. and 2. are not possible/desirable, then gnome-minimal which provides a generic X11 interface should become the default and be renamed gnuplot. gnuplot-wx and gnuplot-qt should then be optional subpackages which have to be installed by the user deliberately.
Comment 13 Joachim Frieben 2015-02-12 06:13:30 EST
I meant to write:
``.., most basic GNOME/GTK3 libraries are installed anyway ..´´
Comment 14 Joachim Frieben 2015-02-16 03:47:05 EST
The latest build gnuplot-5.0.0-6.fc22 triggers bug 1192921
Comment 15 Jaroslav Reznik 2015-03-03 10:05:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 16 Joachim Frieben 2015-03-13 13:53:55 EDT
Created attachment 1001463 [details]
Sample screenshot of Gnuplot QT interface

The QT GUI is fairly inconsistent with regard to the default GNOME desktop as can be seen by comparing this screenshot and the following one of the wxGTK GUI. Moreover, identical options are available to the user. Therefore, I do not see any reason to prefer the QT build. Furthermore, PDF output is only b/w for the QT interface whereas it is coloured just like the screen ouput for the wxGTK interface.
Comment 17 Joachim Frieben 2015-03-13 13:54:39 EDT
Created attachment 1001464 [details]
Sample screenshot of Gnuplot wxGTK interface
Comment 18 Joachim Frieben 2015-03-13 13:55:43 EDT
Created attachment 1001466 [details]
Sample PDF output of Gnuplot QT interface
Comment 19 Joachim Frieben 2015-03-13 13:56:07 EDT
Created attachment 1001467 [details]
Sample PDF output of Gnuplot wxGTK interface
Comment 20 Fedora End Of Life 2016-07-19 06:25:08 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 21 Joachim Frieben 2016-07-20 10:22:56 EDT
As of gnuplot-5.0.1-2.fc23, installing gnuplot still pulls in the version with the QT interface instead of that with the wxGTK interface.
However, the color issue when exporting a PDF file from the latter has been resolved.
Comment 22 Fedora End Of Life 2016-11-24 06:02:45 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 23 Fedora End Of Life 2016-12-20 07:42:13 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.